# `ngMouseenter` ( directive in module `ng` )

## Description

Specify custom behavior on mouseenter event.

## Usage

as attribute

    <ANY ng-mouseenter="{expression}">
       ...
    </ANY>

as class

    <ANY class="ng-mouseenter: {expression};">
       ...
    </ANY>

### Parameters

- `ngMouseenter – {expression} –`

  Expression to evaluate upon mouseenter. (Event object is available as `$event` )

## Example

See `ngClick`